LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPropertyAccess Interface Referencepublished

makes it possible to access all property values and to set them at once. More...

`import"XPropertyAccess.idl";`

Inheritance diagram for XPropertyAccess:

## Public Member Functions
sequence< com::sun::star::beans::PropertyValue > | getPropertyValues ()
void | setPropertyValues ([in] sequence< com::sun::star::beans::PropertyValue > aProps) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values of given properties. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to access all property values and to set them at once.

In most cases this interface will be in addition to XPropertySet. It is especially useful for remote communication because it lessens the number of calls for getting property values; that is especially important because these calls are necessarily synchronous.

Another advantage of this method is that conflicts are avoided if property value restrictions depend on the value of other properties.

## Member Function Documentation

## ◆ getPropertyValues()

sequence< com::sun::star::beans::PropertyValue > getPropertyValues | ( |  | ) |

Returns
  a sequence of all property values within the object in a single call.

## ◆ setPropertyValues()

void setPropertyValues | ( | [in] sequence< com::sun::star::beans::PropertyValue > | aProps | ) |
raises | ( | com::sun::star::beans::UnknownPropertyException,
|  | com::sun::star::beans::PropertyVetoException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

sets the values of given properties.

All properties which are not contained in the sequence aProps will be left unchanged.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XPropertyAccess.idl